Subject: RE: linux-next: manual merge of the usb tree with the omap tree

From: Anand Gadiyar <[email-masked]>
Date: Fri, 7 Jan 2011 20:50:53 +0530

Ming Lei wrote:
> Ming Lei wrote:
> > 2011/1/7 Anand Gadiyar <[email-masked]>:
> > > Hi Ming Lei,
> > >
> > > I'm able to reproduce this on my panda, and I have it working as of
> > > linux-next-20101221 (the last version I tested last year) and
failing
> > > on linux-next-20101227 (which was the very next linux-next release).
> > >
> > > Not sure why, but my Panda manages to get the VID:PID of the hub as
> > > well, while yours does not even get there.
> > >
> > > I may need a few more hours to debug this, unless someone beats me
> > > to it. ;)
> >
> > Is it caused by the below?
> >
> > [   46.580200] ehci-omap ehci-omap.0: failed to get ehci port0
regulator
> >
>
> Nope. We don't set up any regulators for the PHY on Panda (at least not
> yet).
>
> And the working case (next-20101221) has the same log.
>
> I suspect the PHY doesn't get reset for the proper duration; I'm looking
> for something in that area. (Another option is to bisect between the two
> versions, but I'm not sure if that's any easier).
>

Update: I disabled CONFIG_OMAP_RESET_CLOCKS and the PHY and other
connected devices enumerate just fine. Could you try this out on
your board as well?

I'll look deeper and see if there are some required clocks that are
accidentally getting turned off.

- Anand